{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Remover Extrato</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Remover Extrato
</div>

<div class="container">
	<div id="lista_bancos row" class="row mb-4" style="align-items: center; justify-content: center; margin-left: 5%">
			<form action="apagar-extrato" method="POST" class="row">
				{%csrf_token %}
				<h6 class="mr-3 mt-2" style="align-self: center;">Selecione um extrato:</h6>
				<select style="align-self: center;width: 40%;" class="mt" name="data">
					{% for dado in dados %}
						<option value="{{dado.data_formatada}}+{{dado.banco}}+{{dado.conta}}">{{dado.banco}} - {{dado.conta}} - {{dado.data}}</option>
					{% endfor %}
				</select>
				<input type="submit" value="Deletar" class='btn-sucess' style="width: 30%; margin-left: 20%"/>
		</form>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}